Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Asterisk DoS Vulnerability (AST-2021-001)

Information

Severity

Severity

Medium

Family

Family

Denial of Service

CVSSv2 Base

CVSSv2 Base

6.8

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:S/C:N/I:N/A:C

Solution Type

Solution Type

Vendor Patch

Created

Created

1 year ago

Modified

Modified

1 year ago

Summary

Asterisk is prone to a denial of service vulnerability in res_pjsip_diversion.

Insight

Insight

If a registered user is tricked into dialing a malicious number that sends lots of 181 responses to Asterisk, each one will cause a 181 to be sent back to the original caller with an increasing number of entries in the 'Supported' header. Eventually the number of entries in the header exceeds the size of the entry array and causes a crash.

Affected Software

Affected Software

Asterisk Open Source 13.38.1, 16.15.1 - 16.16.0, 17.9.1 and 18.1.1 - 18.2.0.

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Update to version 13.38.2, 16.16.1, 17.9.2, 18.2.1 or later.

Common Vulnerabilities and Exposures (CVE)